<template>
  <div id="map">
    <gmap-map
      :center="center"
      :zoom="mapZoom"
      :options="mapOptions"
      :style="mapStyle"
      ref="mapRef"
      @click="getClickOnMap"
    >
      <gmap-marker
        v-for="marker in diveMarkers"
        :key="marker.id"
        :position="marker.position"
      />
    </gmap-map>
  </div>
</template>

<script>
export default {
  name: "GoogleMap",
  data() {
    return {
      map: null,
      defaultCenter: { lat: 47.37088, lng: 8.5415 },
      center: { lat: 47.37088, lng: 8.5415 },
      mapZoom: 2,
      mapOptions: { streetViewControl: false },
      mapStyle: { float: "left", width: "85%", height: "90vh" },
    };
  },
  computed: {
    diveMarkers() {
      return this.$store.state.googleMapCoordinates;
    },
  },
  methods: {
    getClickOnMap(event) {
      console.log(event);
    },
  },
};
</script>

<style>
gmap-map div.map {
  height: 90vh;
  width: 85%;
  float: left;
}
</style>
